function getNameFromType(type) {
  switch (type) {
    case 'bug_fix':
      return 'Bug Fix';
    case 'enhancement':
      return 'Enhancement';
    case 'feature':
      return 'New';
    case 'beta':
      return 'Beta';
  }
}

const App = {
  data() {
    return {
      changelog: [],
    };
  },
  mounted() {
    fetch('./assets/changelog.json')
      .then((res) => res.json())
      .then((json) => {
        this.changelog = json.map((version) => {
          return {
            ...version,
            createdAt: moment(version.createdAt).fromNow(),
            changes: version.changes.map((change) => {
              return {
                ...change,
                changeType: getNameFromType(change.type),
              };
            }),
          };
        });
      });
  },
};

Vue.createApp(App).mount('.listBody');
